Subject: Re: [imap5] No way to IMAP5?

From: Tony Hansen <[email-masked]>
Date: Wed, 01 Sep 2010 09:01:29 -0400

d) Another possibility is that imap5 could be a "profile" of imap4 that 
indicates a minimum amount of functionality that clients can depend on.

      Tony Hansen

On 7/30/2010 10:13 AM, Timo Sirainen wrote:
> On Thu, 2010-07-29 at 03:40 +0200, Gilles LAMIRAL wrote:
>
>    
>> Reading the entire history discussion I don't understand why
>> it ended without a whisper nor conclusion like: no way to
>> imap5. So I continue.
>>      
> Depending on what IMAP5 will be..
>
> a) It could be very much like IMAP4, making it easy for clients to
> implement (they'd want to support IMAP4 for a long time too). But since
> it has to be mostly IMAP4-compatible, will it simplify things all that
> much to be worth the trouble?..
>
> b) Keep the IMAP4 parser (atoms, string, literals, etc) but otherwise do
> larger changes to protocol. Might make it a bit (but probably not that
> much) easier for clients than c):
>
> c) Redesign the whole thing from scratch. But why would clients
> implement yet another protocol that very few servers support, when they
> need to support IMAP4 anyway?
>
> But ever since your mails I started thinking about c), mainly just for
> fun. Maybe I'll get something done, but I don't really expect anyone to
> implement it, except maybe myself.
>
> _______________________________________________
> imap5 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/imap5
>